#ifndef __STATE_H
#define __STATE_H

#include <sys/types.h>
#include <stdio.h>

struct stateDirHandle {
	char *stateDirName;
	char *dataFileName;
	char *stateDirLockFileName;
	char *stateDataDirName;
	int stateDirLockFile;

	char *localDataFileName;
	char *stateFileName;
	FILE *localDataFile;

	ino_t localDataFileInode;
	ino_t dataFileInode;

	int deleteMe;

	long filePos;
};

struct stateDirHandle *openStateDataDir(char *stateDirName, char *dataFileName);
int initStateDataDir(const char *stateDirName, const char *dataFileName);
int lockStateDataDir(const char *stateDirLockFileName);
int unlockStateDataDir(struct stateDirHandle *fileState);
int readState(struct stateDirHandle *fileState);
int writeState(struct stateDirHandle *fileState);
int closeStateDataDir(struct stateDirHandle *fileState);
int refreshState(struct stateDirHandle *fileState);
int delStateDataDir(struct stateDirHandle *fileState);
void printState(struct stateDirHandle *fileState);

#endif

